com.ihr.xbrl.om

## Enum XBRLValidation.Direction

- java.lang.Object
- - java.lang.Enum<XBRLValidation.Direction>
  - - com.ihr.xbrl.om.XBRLValidation.Direction

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<XBRLValidation.Direction>
  Enclosing interface:
    XBRLValidation

      public static enum XBRLValidation.Direction
      extends java.lang.Enum<XBRLValidation.Direction>

  when invalidate is called, invalidation can go up to the parent elements to the root element or down to the children elements.
  Author:
    Ignacio

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL` Invalidate all parent and children elements and also all documents in the DTS.
    `DOWN` Invalidates this and children elements.
    `DOWN_DOCUMENTS` Invalidates this and children documents traversing the DTS discover rules.
    `THIS` Only current document or element is invalidated.
    `UP` Invalidates this and parent elements.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static XBRLValidation.Direction` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static XBRLValidation.Direction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### THIS

          public static final XBRLValidation.Direction THIS

      Only current document or element is invalidated.

    - #### ALL

          public static final XBRLValidation.Direction ALL

      Invalidate all parent and children elements and also all documents in the DTS.

    - #### UP

          public static final XBRLValidation.Direction UP

      Invalidates this and parent elements.

    - #### DOWN

          public static final XBRLValidation.Direction DOWN

      Invalidates this and children elements. This does not invalidates children documents of current document.

    - #### DOWN_DOCUMENTS

          public static final XBRLValidation.Direction DOWN_DOCUMENTS

      Invalidates this and children documents traversing the DTS discover rules.

  - ### Method Detail

    - #### values

          public static XBRLValidation.Direction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (XBRLValidation.Direction c : XBRLValidation.Direction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static XBRLValidation.Direction valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null